## decision tree for 11 languages


library(rpart.plot)

# grow tree 
fit <- rpart(Phonation ~H1H2c_means002+H1A1c_means002+H1A2c_means002+
H1A3c_means002+CPP_means002+Energy_means002+HNR05_means002+HNR15_means002+
HNR25_means002+HNR35_means002+H42Kc_means002+SHR_means002+
soe_means002,method="class", data=data_mm,control=rpart.control(minsplit=20, cp=0.01,maxdepth=3)) 

# plot tree
pdf("rpart_tree_fig8.pdf",width=6,height=6)
rpart.plot(fit, type = 3, clip.right.lab = FALSE, branch = .3, under = TRUE,legend.x=NA, legend.y=NA) 
dev.off()

